polybori::dummy_iterator Class Reference

An iterator which virtually does nothing. More...

`#include <pbori_func.h>`

## Public Types

typedef dummy_iterator | self
| Type of *this. More...

## Public Member Functions

template<class Type >
const self & | operator= (const Type &) const
const self & | operator* () const
const self & | operator++ () const
const self & | operator++ (int) const

## Detailed Description

An iterator which virtually does nothing.

## Member Typedef Documentation

typedef dummy_iterator polybori::dummy_iterator::self

Type of *this.

## Member Function Documentation

const self& polybori::dummy_iterator::operator* | ( | ) |  | const

inline

const self& polybori::dummy_iterator::operator++ | ( | ) |  | const

inline

const self& polybori::dummy_iterator::operator++ | ( | int | ) |  | const

inline

template<class Type >

const self& polybori::dummy_iterator::operator= | ( | const Type & | ) |  | const

inline

The documentation for this class was generated from the following file:

- pbori_func.h